tbb::this_task_arena Namespace Reference

## Functions

int | max_concurrency ()
| Returns the maximal number of threads that can work inside the arena. More...
int | current_thread_index ()
| Returns the index, aka slot number, of the calling thread in its current arena. More...

## Function Documentation

## current_thread_index()

int tbb::this_task_arena::current_thread_index | ( |  | ) |

inline

Returns the index, aka slot number, of the calling thread in its current arena.

Definition at line 484 of file task_arena.h.

{
int idx = tbb::task_arena::current_thread_index();
return idx == -1 ? tbb::task_arena::not_initialized : idx;
}

References tbb::interface7::task_arena::current_thread_index(), and tbb::interface7::internal::task_arena_base::not_initialized.

Referenced by tbb::interface9::internal::get_initial_partition_head().

Here is the call graph for this function:
Here is the caller graph for this function:

## max_concurrency()

int tbb::this_task_arena::max_concurrency | ( |  | ) |

inline

Returns the maximal number of threads that can work inside the arena.

Definition at line 490 of file task_arena.h.

{
return tbb::task_arena::internal_max_concurrency(NULL);
}

References tbb::interface7::internal::task_arena_base::internal_max_concurrency().

Here is the call graph for this function:
tbb::interface7::internal::task_arena_base::internal_max_concurrency
static int __TBB_EXPORTED_FUNC internal_max_concurrency(const task_arena *)
tbb::interface7::task_arena::current_thread_index
static int current_thread_index()
Definition: task_arena.h:448
tbb::interface7::internal::task_arena_base::not_initialized
static const int not_initialized
Definition: task_arena.h:206

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.